Matrix Class Reference
Collaboration diagram for Matrix:
[legend]

## Public Member Functions

| Matrix (Matrix &m)
| Matrix (Matrix &m, const char *name)
| Matrix (int n, int m)
| Matrix (const char *name)
| Matrix (const char *name, int n, int m)
void | Dimension (int m, int n)
void | Dimension (int m, int n, double value)
void | GrowTo (int m, int n)
void | GrowTo (int m, int n, double value)
void | SetLabel (const char *name)
void | SetColumnLabel (int n, const char *name)
const char * | GetColumnLabel (int n)
void | SetColWidth (int n, int w)
void | SetColPrecision (int n, int p)
void | CopyLabels (Matrix &m)
void | Negate ()
void | Identity ()
void | Zero ()
void | Set (double k)
void | Copy (const Matrix &m)
void | Transpose (const Matrix &m)
void | Add (const Matrix &m)
void | AddMultiple (double k, const Matrix &m)
void | Product (const Matrix &left, const Matrix &right)
void | Add (double k)
void | Multiply (double k)
void | Reduce (double tol=0.0)
Vector & | operator[] (int i)
const Vector & | operator[] (int i) const
void | DeleteRow (int r)
void | DeleteColumn (int c)
void | SwapRows (int r1, int r2)
void | SwapColumns (int c1, int c2)
void | MultiplyRow (int r1, double k)
void | AddRows (int r1, int r2)
void | AddRows (double k, int r1, int r2)
void | Sort ()
void | Print (FILE *f, int maxRows=-1, int maxCols=-1)
void | PrintUpper (FILE *f, int maxRows=-1, int maxCols=-1, bool print_diag=false)
void | PrintLower (FILE *f, int maxRows=-1, int maxCols=-1, bool print_diag=false)
void | SetupPrint (FILE *f, int r, int c, int &column_zero, int *precision, int *width)
void | Read (FILE *f)
Matrix & | operator= (const Matrix &rhs)
bool | operator== (const Matrix &rhs) const
bool | operator!= (const Matrix &rhs) const
Matrix & | operator*= (double rhs)
Matrix & | operator/= (double rhs)
void | StackBottom (const Matrix &m)
void | StackLeft (const Matrix &m)
void | Swap (Matrix &m)
double | Min () const
double | Max () const
double | Mean () const
double | SafeMin () const
double | SafeMax () const
double | SafeMean () const
int | SafeCount () const
Vector & | Last ()

## Public Attributes

String | label
ColumnExtras * | extras
int | rows
int | cols
int | size
int | extraSize
Vector ** | data

## Detailed Description

Definition at line 76 of file MathMatrix.h.

The documentation for this class was generated from the following files:

- general/MathMatrix.h
- general/MathMatrix.cpp